%define oname powerdevil

Summary:	Plasma 5 power management module
Name:		plasma5-%{oname}
Version:	5.11.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		powerdevil-5.5.2-power-settings.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5auth-devel
BuildRequires:	kf5bluezqt-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5idletime-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5networkmanagerqt-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	plasma5-workspace-devel >= %{version}
BuildRequires:	pkgconfig(kscreen2)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xrandr)
# Because of polkit actions
Conflicts:	kdm

%description
Plasma 5 power management module.

%files -f %{oname}.lang
%{_kde5_autostart}/powerdevil.desktop
%{_kde5_libexecdir}/org_kde_powerdevil
%{_kde5_libexecdir}/kauth/backlighthelper
%{_kde5_libexecdir}/kauth/discretegpuhelper
%{_kde5_notificationsdir}/powerdevil.notifyrc
%{_kde5_plugindir}/powerdevil/powerdevilupowerbackend.so
%{_kde5_services}/*.desktop
%{_kde5_servicetypes}/powerdevilaction.desktop
%{_qt5_plugindir}/kcm_powerdevilactivitiesconfig.so
%{_qt5_plugindir}/kcm_powerdevilglobalconfig.so
%{_qt5_plugindir}/kcm_powerdevilprofilesconfig.so
%{_qt5_plugindir}/powerdevil*.so
%{_datadir}/dbus-1/system-services/org.kde.powerdevil.backlighthelper.service
%{_datadir}/dbus-1/system-services/org.kde.powerdevil.discretegpuhelper.service
%{_datadir}/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
%{_datadir}/polkit-1/actions/org.kde.powerdevil.discretegpuhelper.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
%{_sysconfdir}/dbus-1/system.d/org.kde.powerdevil.discretegpuhelper.conf

#----------------------------------------------------------------------------

%define powerdevilconfigcommonprivate_major 5
%define libpowerdevilconfigcommonprivate %mklibname powerdevilconfigcommonprivate %{powerdevilconfigcommonprivate_major}

%package -n %{libpowerdevilconfigcommonprivate}
Summary:	Plasma 5 power management shared library
Group:		System/Libraries

%description -n %{libpowerdevilconfigcommonprivate}
Plasma 5 power management shared library.

%files -n %{libpowerdevilconfigcommonprivate}
%{_kde5_libdir}/libpowerdevilconfigcommonprivate.so.%{powerdevilconfigcommonprivate_major}*

#----------------------------------------------------------------------------

%define powerdevilcore_major 2
%define libpowerdevilcore %mklibname powerdevilcore %{powerdevilcore_major}

%package -n %{libpowerdevilcore}
Summary:	Plasma 5 power management shared library
Group:		System/Libraries

%description -n %{libpowerdevilcore}
Plasma 5 power management shared library.

%files -n %{libpowerdevilcore}
%{_kde5_libdir}/libpowerdevilcore.so.%{powerdevilcore_major}*

#----------------------------------------------------------------------------

%define powerdevilui_major 5
%define libpowerdevilui %mklibname powerdevilui %{powerdevilui_major}

%package -n %{libpowerdevilui}
Summary:	Plasma 5 power management shared library
Group:		System/Libraries

%description -n %{libpowerdevilui}
Plasma 5 power management shared library.

%files -n %{libpowerdevilui}
%{_kde5_libdir}/libpowerdevilui.so.%{powerdevilui_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

# We don't have headers
rm -f %{buildroot}%{_libdir}/libpowerdevilconfigcommonprivate.so
rm -f %{buildroot}%{_libdir}/libpowerdevilcore.so
rm -f %{buildroot}%{_libdir}/libpowerdevilui.so

%find_lang %{oname} libpowerdevilcommonconfig powerdevilactivitiesconfig powerdevilglobalconfig powerdevilprofilesconfig \
           %{oname}.lang --with-html --with-kde
%kf5locales_fix %{oname}.lang

%changelog

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (570cd50) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (662d825) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (a284129) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (fa700cd) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (143bb51) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (2a51083) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (a0ed779) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (4a1fecf) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (4b236a9) MassBuild#1230: Increase release tag

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (d708a52) Update files (add discretegpuhelper)
- (Andrey Bondrov: 16c4411) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (d8a65c5) MassBuild#1211: Increase release tag

* Tue Nov 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (dd42f8f) Update files
- (Andrey Bondrov: 06c5059) Update files
- (Andrey Bondrov: 0322e0d) Drop l10n-ru patch
- (Andrey Bondrov: 5fc7aeb) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (803370f) MassBuild#1169: Increase release tag

* Fri Jul 22 2016 valerol <valerol@ya.ru> 5.7.2-1
- (beca472) Build requires kf5bluezqt-devel
- (valerol: 41f84ac) Build requires kf5networkmanagerqt-devel
- (valerol: 9d15cae) Update Russian translation
- (valerol: 4c4512a) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (61ff6d5) New version 5.6.5

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (e9a9207) Specify version for Plasma 5 BuildRequires
- (Andrey Bondrov: 884082c) New version 5.6.3

* Thu Apr 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (022f00d) MassBuild#1030: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (8bd7ca2) Drop l10n patch (fixed upstream)
- (Andrey Bondrov: 81ac8c3) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (8a3d727) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (b213dcc) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (1530c22) Update Russian translation


